1 Reply Latest reply on Aug 31, 2015 10:17 AM by Max Barkley

    [3.2.0.Final] Compiler warings

    Hristo Stoyanov Master

      Hi,

      I started seeing these during compilation - is this me or the generated code is obsolete?

       

      ...

      Adding '1' new generated units

            [WARN] Warnings in '.../BootstrapperImpl.java'

               [WARN] Line 2359: Referencing method 'com.google.gwt.user.client.ui.Composite.setWidget': method 'com.google.gwt.user.client.ui.Composite.setWidget(Lcom/google/gwt/user/client/ui/Widget;)' is deprecated

               [WARN] Line 2689: Referencing method 'com.google.gwt.user.client.ui.UIObject.setElement': method 'com.google.gwt.user.client.ui.UIObject.setElement(Lcom/google/gwt/user/client/Element;)' is deprecated

        • 1. Re: [3.2.0.Final] Compiler warings
          Max Barkley Expert

          Hristo,

           

          We don't use these deprecated methods in Errai UI or Data Binding. My best guess is that you have a @Templated bean that requires proxying by the container. If this is the case, there will be a generated subclass of your @Templated bean in the BootstrapperImpl that overrides all public methods. Since a @Templated bean must extends Composite, it will override these deprecated methods as well.

           

          There's no real risk here. If a future version of GWT removed these methods the container would no longer proxy them.

           

          Cheers.